<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_66) on Mon Nov 23 18:11:09 CET 2015 -->
<title>Import (QA API)</title>
<meta name="date" content="2015-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Import (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/initialdataload/testscripts/masterdata/process/importwindow/Import.html" target="_top">Frames</a></li>
<li><a href="Import.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.initialdataload.testscripts.masterdata.process.importwindow</div>
<h2 title="Class Import" class="title">Class Import</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.initialdataload.testscripts.masterdata.process.importwindow.Import</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Import</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Executes and verifies actions on Import the window.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Pablo Lujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/testscripts/masterdata/process/importwindow/Import.html#Import--">Import</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/testscripts/masterdata/process/importwindow/Import.html#processFile-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow.ImportData-">processFile</a></span>(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
           <a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/data/masterdata/process/importwindow/ImportData.html" title="class in com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow">ImportData</a>&nbsp;data)</code>
<div class="block">Process a file.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/testscripts/masterdata/process/importwindow/Import.html#validateFile-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow.ImportData-">validateFile</a></span>(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
            <a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/data/masterdata/process/importwindow/ImportData.html" title="class in com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow">ImportData</a>&nbsp;data)</code>
<div class="block">Validate a file.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/testscripts/masterdata/process/importwindow/Import.html#verifyImportProcessCompletedSuccessfully-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-int-int-int-">verifyImportProcessCompletedSuccessfully</a></span>(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
                                        int&nbsp;totalRows,
                                        int&nbsp;rowsProcessed,
                                        int&nbsp;rowsRejected)</code>
<div class="block">Verify the import process.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/testscripts/masterdata/process/importwindow/Import.html#verifyValidationProcessCompletedSuccessfully-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-int-int-int-">verifyValidationProcessCompletedSuccessfully</a></span>(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
                                            int&nbsp;totalRows,
                                            int&nbsp;rowsValidated,
                                            int&nbsp;rowsRejected)</code>
<div class="block">Verify the validation process.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Import--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Import</h4>
<pre>public&nbsp;Import()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="validateFile-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow.ImportData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateFile</h4>
<pre>public static&nbsp;void&nbsp;validateFile(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
                                <a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/data/masterdata/process/importwindow/ImportData.html" title="class in com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow">ImportData</a>&nbsp;data)</pre>
<div class="block">Validate a file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainPage</code> - The application main page.</dd>
<dd><code>data</code> - The data for the import process.</dd>
</dl>
</li>
</ul>
<a name="verifyValidationProcessCompletedSuccessfully-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifyValidationProcessCompletedSuccessfully</h4>
<pre>public static&nbsp;void&nbsp;verifyValidationProcessCompletedSuccessfully(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
                                                                int&nbsp;totalRows,
                                                                int&nbsp;rowsValidated,
                                                                int&nbsp;rowsRejected)</pre>
<div class="block">Verify the validation process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainPage</code> - The application main page.</dd>
<dd><code>totalRows</code> - The number of rows in the file.</dd>
<dd><code>rowsValidated</code> - The number of rows validated.</dd>
<dd><code>rowsRejected</code> - The number of rows rejected.</dd>
</dl>
</li>
</ul>
<a name="processFile-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow.ImportData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processFile</h4>
<pre>public static&nbsp;void&nbsp;processFile(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
                               <a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/initialdataload/data/masterdata/process/importwindow/ImportData.html" title="class in com.openbravo.test.integration.erp.modules.initialdataload.data.masterdata.process.importwindow">ImportData</a>&nbsp;data)</pre>
<div class="block">Process a file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainPage</code> - The application main page.</dd>
<dd><code>data</code> - The data for the import process.</dd>
</dl>
</li>
</ul>
<a name="verifyImportProcessCompletedSuccessfully-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>verifyImportProcessCompletedSuccessfully</h4>
<pre>public static&nbsp;void&nbsp;verifyImportProcessCompletedSuccessfully(<a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage,
                                                            int&nbsp;totalRows,
                                                            int&nbsp;rowsProcessed,
                                                            int&nbsp;rowsRejected)</pre>
<div class="block">Verify the import process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainPage</code> - The application main page.</dd>
<dd><code>totalRows</code> - The number of rows in the file.</dd>
<dd><code>rowsProcessed</code> - The number of rows processed.</dd>
<dd><code>rowsRejected</code> - The number of rows rejected.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/initialdataload/testscripts/masterdata/process/importwindow/Import.html" target="_top">Frames</a></li>
<li><a href="Import.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
